import { Component } from "ecsy";

export class Name extends Component{
  first: string
  last: string
  nick: string

  fullName():string{
    return `${this.first} ${this.last}`
  }

  reset(){
    this.first = "firstname"
    this.last = "lastname"
    this.nick = "nickname"
  }
}